Subject: bug#15688: 24.3.50; clear-temporary-overlay-map

From: Richard Stallman <[email-masked]>
Date: Fri, 24 Jan 2014 09:55:41 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    Please tell us exactly what value is used for GC_MARK_STACK; as Eli said:

       It's a macro set in src/lisp.h.  You can check it with #warning or
       some such

    This said, since you have mark_memory in your backtrace, that indicates
    that GC_MARK_STACK is probably set to GC_MAKE_GCPROS_NOOPS, as usual.

I don't see a way to examine the value, but the only definition I see
in lisp.h is

#ifndef GC_MARK_STACK
#define GC_MARK_STACK GC_MAKE_GCPROS_NOOPS
#endif

I suggest adding

enum gc_mark_stack { gc_mark_stack_value = GC_MARK_STACK; }; in lisp.h
or some source file.  Then it will be possible to view
gc_mark_stack_value in GDB.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.